package com.example.myapplication.user.model

import com.example.myapplication.challenge.model.Challenge
import com.example.myapplication.challenge.model.getTestChallenge
import java.io.Serializable

data class User(
    val id: Int,
    val login: String,
    val password: String,
    val fio: String,
    val challenges: List<Challenge>,
) : Serializable

fun getTestUser(): List<User> {
    val challenges = getTestChallenge()
    return listOf(
        User(0,"user1", "1234", "ivanov ivan", challenges),
        User(1,"user2", "1234", "vasiliev ivan", challenges),
        User(2,"user3", "1234", "listov ivan", challenges),
    )
}